package com.nisum.inventory.collection;


import com.nisum.inventory.dto.ImageCredit;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;

import java.util.ArrayList;
import java.util.Date;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@Document("inventory")
public class ProcessedInventory {

    @Id
    private String id;
    private ImageCredit imageCredit;
    private ArrayList<String> tags;
    private String imageUrl;
    private String filename;
    private String imageHash;
    private Double price;
    private String name;
    private String description;
    private String slug;
    private Long added;
    private String manufacturer;
    private String itemType;
    private String productImg;
    private Date createdDate;
    private String status;

}
